Skip to navigation

Get withdrawal history

Retrieve the withdrawal records according to the currency, withdrawal status, and time range in reverse chronological order. Records for the last one year are available.

Authentication

OK-ACCESS-KEYstring
Your API key.
OK-ACCESS-SIGNstring

Base64-encoded HMAC-SHA256 signature of the prehash string.

OK-ACCESS-TIMESTAMPstring

ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.

OK-ACCESS-PASSPHRASEstring
The passphrase you set when creating the API key.

Query parameters

ccystringOptional
Currency, e.g. BTC.
wdIdstringOptional
Withdrawal ID.
clientIdstringOptional

Client-supplied ID.

txIdstringOptional
Hash record of the withdrawal.
typeenumOptional

Withdrawal type: 3=internal transfer, 4=on-chain withdrawal.

Allowed values:
stateenumOptional

Status of withdrawal: -3=canceling, -2=canceled, -1=failed, 0=waiting withdrawal, 1=withdrawing, 2=withdraw success, 4/5/6=under review, 8=pending, 9=recharge, 10=waiting transfer, 12=pending re-review.

afterstringOptional
Pagination of data to return records earlier than the requested ts, Unix timestamp in milliseconds.
beforestringOptional
Pagination of data to return records newer than the requested ts, Unix timestamp in milliseconds.
limitstringOptional

Number of results per request. Maximum is 100; default is 100.

Response

Successful response
codestringOptional

Result code. 0 means success; any other value is an error code.

msgstringOptional
Error message. Empty on success.
datalist of objectsOptional